// 全局要用的类型放到这里
import { ObjectDirective } from 'vue'
import { FormatType } from './directives/format'

declare global {
  type IResData<T> = {
    code: number
    msg: string
    data: T
  }

  // uni.uploadFile文件上传参数
  type IUniUploadFileOptions = {
    file?: File
    files?: UniApp.UploadFileOptionFiles[]
    filePath?: string
    name?: string
    formData?: any
  }
}

declare module '@vue/runtime-core' {
  interface ComponentCustomProperties {
    vFormat: (el: HTMLElement, { value }: DirectiveBinding<FormatType>) => void
  }
}

export {} // 防止模块污染
